package com.ruoyi.tuya.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tuya.mapper.BusTravelExperienceMapper;
import com.ruoyi.tuya.domain.BusTravelExperience;
import com.ruoyi.tuya.service.IBusTravelExperienceService;

/**
 * 平台游记(天)Service业务层处理
 * 
 * @author zf
 * @date 2022-07-21
 */
@Service
public class BusTravelExperienceServiceImpl implements IBusTravelExperienceService 
{
    @Autowired
    private BusTravelExperienceMapper busTravelExperienceMapper;

    /**
     * 查询平台游记(天)
     * 
     * @param id 平台游记(天)主键
     * @return 平台游记(天)
     */
    @Override
    public BusTravelExperience selectBusTravelExperienceById(Long id)
    {
        return busTravelExperienceMapper.selectBusTravelExperienceById(id);
    }

    /**
     * 查询平台游记(天)列表
     * 
     * @param busTravelExperience 平台游记(天)
     * @return 平台游记(天)
     */
    @Override
    public List<BusTravelExperience> selectBusTravelExperienceList(BusTravelExperience busTravelExperience)
    {
        return busTravelExperienceMapper.selectBusTravelExperienceList(busTravelExperience);
    }

    /**
     * 新增平台游记(天)
     * 
     * @param busTravelExperience 平台游记(天)
     * @return 结果
     */
    @Override
    public int insertBusTravelExperience(BusTravelExperience busTravelExperience)
    {
        return busTravelExperienceMapper.insertBusTravelExperience(busTravelExperience);
    }

    /**
     * 修改平台游记(天)
     * 
     * @param busTravelExperience 平台游记(天)
     * @return 结果
     */
    @Override
    public int updateBusTravelExperience(BusTravelExperience busTravelExperience)
    {
        return busTravelExperienceMapper.updateBusTravelExperience(busTravelExperience);
    }

    /**
     * 批量删除平台游记(天)
     * 
     * @param ids 需要删除的平台游记(天)主键
     * @return 结果
     */
    @Override
    public int deleteBusTravelExperienceByIds(Long[] ids)
    {
        return busTravelExperienceMapper.deleteBusTravelExperienceByIds(ids);
    }

    /**
     * 删除平台游记(天)信息
     * 
     * @param id 平台游记(天)主键
     * @return 结果
     */
    @Override
    public int deleteBusTravelExperienceById(Long id)
    {
        return busTravelExperienceMapper.deleteBusTravelExperienceById(id);
    }
}
